Alerts

List alerts

GET
/v1/alerts
AuthorizationBearer <token>

API key minted via POST /v1/api-keys (format mk_live_...)

In: header

Response Body

application/json

application/json

curl -X GET "https://api.mentio.dev/v1/alerts"
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "enabled": true,
      "mode": "instant",
      "filter": {
        "keywordIds": [
          "string"
        ],
        "groupIds": [
          "string"
        ],
        "platforms": [
          "bluesky"
        ],
        "minRelevance": 100,
        "minConfidence": 1,
        "sentiments": [
          "positive"
        ],
        "intents": [
          "string"
        ],
        "excludeAuthors": [
          "string"
        ],
        "minFollowers": 0,
        "tags": [
          "string"
        ],
        "linkHosts": [
          "string"
        ],
        "languages": [
          "string"
        ],
        "countries": [
          "us"
        ],
        "notCountries": [
          "us"
        ],
        "automated": true,
        "organization": true,
        "ratings": [
          1
        ],
        "notRatings": [
          1
        ],
        "minLikes": 0,
        "minReposts": 0,
        "minReplies": 0,
        "minQuotes": 0,
        "minViews": 0,
        "minBookmarks": 0,
        "anyOf": [
          {
            "q": "string",
            "keywordIds": [
              "string"
            ],
            "notKeywordIds": [
              "string"
            ],
            "keywordKinds": [
              "brand"
            ],
            "groupIds": [
              "string"
            ],
            "notGroupIds": [
              "string"
            ],
            "platforms": [
              "bluesky"
            ],
            "notPlatforms": [
              "bluesky"
            ],
            "status": "open",
            "relevant": true,
            "minRelevance": 100,
            "minConfidence": 1,
            "sentiments": [
              "positive"
            ],
            "notSentiments": [
              "positive"
            ],
            "intents": [
              "string"
            ],
            "notIntents": [
              "string"
            ],
            "automated": true,
            "languages": [
              "string"
            ],
            "notLanguages": [
              "string"
            ],
            "countries": [
              "us"
            ],
            "notCountries": [
              "us"
            ],
            "organization": true,
            "tags": [
              "string"
            ],
            "notTags": [
              "string"
            ],
            "linkHosts": [
              "string"
            ],
            "notLinkHosts": [
              "string"
            ],
            "subreddits": [
              "string"
            ],
            "notSubreddits": [
              "string"
            ],
            "minFollowers": 0,
            "maxFollowers": 0,
            "isReply": true,
            "kind": "post",
            "excludeAuthors": [
              "string"
            ],
            "ratings": [
              1
            ],
            "notRatings": [
              1
            ],
            "minLikes": 0,
            "minReposts": 0,
            "minReplies": 0,
            "minQuotes": 0,
            "minViews": 0,
            "minBookmarks": 0
          }
        ]
      },
      "schedule": {
        "hour": 23,
        "minute": 0,
        "timezone": "string",
        "skipEmpty": true,
        "weekday": 6
      },
      "event": "string",
      "channels": [
        {
          "id": "string",
          "kind": "slack",
          "label": "string"
        }
      ],
      "stats": {
        "sentLast7d": 0,
        "lastSentAt": "string",
        "nextRunAt": "string"
      },
      "createdAt": "string"
    }
  ]
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "retryAfterSeconds": 0
  }
}